<script>
	import { supabase } from '$lib/supabaseClient';

	let loading = false;
	let email = '';

	const handleLogin = async () => {
		try {
			loading = true;
			const { error } = await supabase.auth.signInWithOtp({ email });
			if (error) throw error;
			alert('Check your email for the login link!');
		} catch (error) {
			if (error instanceof Error) {
				alert(error.message);
			}
		} finally {
			loading = false;
		}
	};
</script>

<section class="py-5 bg-gray-50">
	<div class="container items-center max-w-6xl px-10 mx-auto sm:px-20 md:px-32 lg:px-16">
	  <div class="flex flex-wrap items-center -mx-3">
		<div class="order-1 w-full px-3 lg:w-1/2 lg:order-0">
		  <div class="w-full lg:max-w-md">
			<h2 class="mb-4 text-3xl font-bold leading-tight tracking-tight sm:text-4xl font-heading">Welcome to Faranaz forum. Follow instruction below to continue</h2>
			<p class="mb-4 font-medium tracking-tight text-gray-400 xl:mb-6">Go go go. Cant wait to see you</p>
		  </div>
		</div>
		<div class="w-full px-3 mb-12 lg:w-1/2 order-0 lg:order-1 lg:mb-0"><img class="mx-auto sm:max-w-sm lg:max-w-full" src="https://cdn.devdojo.com/images/november2020/feature-graphic.png" alt="feature image"></div>
	  </div>
	</div>
  </section>
<section class="border-indigo-500 border max-w-screen-md mx-auto p-5 mt-20 rounded-xl">
	<form class="p-4text-gray-600 body-font relative" on:submit|preventDefault={handleLogin}>
		<div class="container px-5 py-6 mx-auto">
			<div class="flex flex-col text-center w-full mb-4">
				<div>
					<div class="flex flex-col text-center w-full mb-4">
						<h3 class="text-3xl my-2 sm:text-3xl leading-normal font-extrabold tracking-tight text-gray-900">
							Authentication
						</h3>
						<p class="lg:w-2/3 mx-auto leading-relaxed text-base">Sign in via magic link with your email below</p>
					</div>
				</div>	
				<div class="lg:w-1/2 md:w-2/3 mx-auto">
					<div class="-m-2">
						<div class="my-2">
							<div class="relative">
							<input bind:value={email} placeholder="Your email here" type="email" id="email" name="email" class="w-full bg-opacity-50 rounded border border-gray-300 focus:border-indigo-500 focus:bg-white focus:ring-2 focus:ring-indigo-200 text-base outline-none text-gray-700 py-1 px-3 leading-8 transition-colors duration-200 ease-in-out">
							</div>
						</div>
						<div>
							<input
								type="submit"
								class="bg-indigo-500 hover:bg-indigo-700 text-white py-2 px-4 rounded w-full"
								value={loading ? 'Loading' : 'Send magic link'}
								disabled={loading}
							/>
						</div>
					</div>
				</div>
			</div>	
		</div>		
	</form>
</section>

